Accept consent
curl --request POST \
--url https://api.proofage.net/v1/verifications/{verification}/consent \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-HMAC-Signature: <api-key>' \
--data '
{
"consent_version_id": 123,
"text_sha256": "<string>"
}
'import requests
url = "https://api.proofage.net/v1/verifications/{verification}/consent"
payload = {
"consent_version_id": 123,
"text_sha256": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"X-HMAC-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
'X-HMAC-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({consent_version_id: 123, text_sha256: '<string>'})
};
fetch('https://api.proofage.net/v1/verifications/{verification}/consent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"consent_version_id": 1,
"consent_accepted_at": "2026-03-19T12:01:00+00:00"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Consent
Accept consent
Records the end-user’s acceptance of the data processing consent. Must be called before uploading media or submitting the verification.
POST
/
verifications
/
{verification}
/
consent
Accept consent
Authorizations
Your workspace public key (pk_test_… or pk_live_…).
HMAC-SHA256 of the request, hex-encoded, keyed with the workspace secret key. See API authentication.
Path Parameters
The verification ID
Body
application/json
Required string length:
64Pattern:
^[a-f0-9]{64}$